Gecode::Support::Lock Class Reference
Common functionality » Support algorithms and datastructures » Simple thread and synchronization support

A lock as a scoped frontend for a mutex. More...

`#include <thread.hpp>`

## Public Member Functions

| Lock (Mutex &m0)
| Enter lock.
| ~Lock (void)
| Leave lock.

## Detailed Description

A lock as a scoped frontend for a mutex.

Definition at line 191 of file thread.hpp.

## Constructor & Destructor Documentation

## Lock()

Gecode::Support::Lock::Lock | ( | Mutex & | m0 | ) |

inline

Enter lock.

Definition at line 95 of file thread.hpp.

## ~Lock()

Gecode::Support::Lock::~Lock | ( | void |  | ) |

inline

Leave lock.

Definition at line 99 of file thread.hpp.

The documentation for this class was generated from the following files:

- gecode/support/thread.hpp
- gecode/support/thread/thread.hpp